#TITLE=mIRC 6.03 remote file
#INFO
Language definition/clip text file, by CloCKWeRX for mIRC 6.03 [29/04/03]
Use with DDECommander.exe (Add it to the USER TOOL GROUPS menu, as a hot key. It allows you to send alias to mIRC.)
Uses /reload -rs <filepath> to silently reload the file as its edited.
#SORT=y

#T=alias
alias ^! {
  ;syntax name [switches] [params]
  ;description A brief description

  var %syntax name [switches] [params]
  var %description No description
  var %return

  if ($prop == syntax) || ($prop == description) || ($prop == return) { return $eval($+(%,$prop),2) }
  else {
    
  }
}
#T=menu
menu ^! {
  
}
#T=Color Code

#T=Bold

#T=Reverse

#T=Underline

#T=menu (File, dialog)
menu "File",1
  item "New",2,1
  item "Open",3,1
  item break,4,1
  item "&Exit",5,1,ok
 
menu "Help",500
  item "Contents",499,500
  item "Search...",498,500
  item break,497,500
  item "About",496,500

#T=dialog
dialog ^! {
  title "New Dialog"
  size -1 -1 100 100
  option dbu

  button "&Ok",1,90 90 20 10,ok
}

on *:dialog:newDialog:*:*:{
  if ($devent == init) {
    
  }
  elseif ($devent == sclick) {
    
  }
  elseif ($devent == dclick) {
    
  }
}
#T=if
if (^!) { 

}
elseif () {

}
else {

}
#T=for
var %i = 0
while (%i <= ^!) {
  
  inc %i
}
#T=while
while (^!) {
  
}
#T=$alias
alias ^! {
  ;syntax name [switches] [params]
  ;description A brief description
  ;returns [return type]

  var %syntax name [switches] [params]
  var %returns
  var %description

  if (!$prop) {

  } 
  elseif ($prop == syntax) || ($prop == description) || ($prop == returns) {
    return $eval($+(%,$prop),2)
  }
 
  
  return
}
#T=dialog (main no tab)
dialog main^! {
  title "Main Dialog"
  size -1 -1 200 100
  option dbu

  menu "File",1
    item "New",2,1
    item "Open",3,1
    item break,4,1
    item "&Exit",5,1,ok
 
  menu "Help",500
    item "Contents",499,500
    item "Search...",498,500
    item break,497,500
    item "About",496,500

  box "",100,0 0 200 100
}

on *:dialog:main:*:*:{
  if ($devent == init) {
    ;Call splash screen, vars, etc

  }
  elseif ($devent == sclick) {
    echo -s Create $did($dname,$did) code
  }
  elseif ($devent == menu) {
    echo -s Create $did($dname,$did) code
  }
}
#T=dialog (about)
dialog about {
  title "About Dialog"
  size -1 -1 60 50
  option dbu

  text "CloCkWeRX CloCkWeRX CloCkWeRX CloCkWeRX CloCkWeRX ",1,5 5 50 40
}
#T=dialog (splash)
dialog splash {
  title "Splash Dialog"
  size -1 -1 60 50
  option dbu

  text "Loading!",1,20 20 20 10
}

on *:dialog:splash:*:*:{
  if ($devent == init) {
    .timer 1 5 unload_splash $dname
  }
}
alias -l unload_splash {
  ;private!
  if ($dialog($1)) { .dialog -x $1 }
  dialog -m main main
}
#T=dialog (main)
dialog main^! {
  title "Main Dialog"
  size -1 -1 200 100
  option dbu

  menu "File",1
    item "New",2,1
    item "Open",3,1
    item break,4,1
    item "&Exit",5,1,ok
 
  menu "Help",500
    item "Contents",499,500
    item "Search...",498,500
    item break,497,500
    item "About",496,500

  tab "Setup",100,0 0 200 100
  tab "Options",101
  tab "Monkey w/it",102
  tab "Configuration",103
  box "",105,0   10 200 90,tab 100
  box "",106,0   10 200 90,tab 101
  box "",107,0   10 200 90,tab 102
  box "",108,0   10 100 90,tab 103
  box "",109,100 10 100 90,tab 103
}

on *:dialog:main:*:*:{
  if ($devent == init) {
    ;Call splash screen, vars, etc
    echo -s Create $did($dname,$did) $devent code
  }
  elseif ($devent == sclick) {
    echo -s Create $did($dname,$did) $devent code
  }
  elseif ($devent == menu) {
    echo -s Create $did($dname,$did) $devent code
  }
}
#T=sockets (server, TCP)
alias -l newSocketListen {
  ;Private, call me from a dialog!
  socklisten newSocketListen 801
}
on *:socklisten:newSocketListen:{
  var %wVar mySocket. $+ $ticks
  sockaccept $sockname %wVar
  sockwrite -n %wVar Go away!
}
on *:sockread:newSocketListen:{
  if ($sockerr > 0) return
  :nextread
  sockread %temp
  if ($sockbr == 0) return
  if (%temp == $null) %temp = -
  echo 4 Client: %temp
  goto nextread
}
#T=sockets (client, TCP)
alias -l newSocket {
  ;Private, call me from a dialog!
  sockopen newSocket 127.0.0.1 801
}
on *:sockopen:newSocket:{
  sockwrite -n $sockname ^!
}
on *:sockread:newSocket:{
  if ($sockerr > 0) return
  :nextread
  sockread %temp
  if ($sockbr == 0) return
  if (%temp == $null) %temp = -
  echo 4 Server: %temp
  goto nextread
}
#